app-id: radio.k0swe.Kel_Agent
default-branch: main
runtime: org.freedesktop.Platform
runtime-version: '20.08'
sdk: org.freedesktop.Sdk
sdk-extensions:
  - org.freedesktop.Sdk.Extension.golang
build-options:
  append-path: /usr/lib/sdk/golang/bin
  env:
    - 'LDFLAGS='
command: kel-agent
finish-args:
  - --share=network
modules:
  - name: kel-agent
    sources:
      - type: git
        url: https://github.com/adrg/xdg.git
        tag: v0.4.0
        dest: vendor/github.com/adrg/xdg/
      - type: git
        url: https://github.com/davecgh/go-spew.git
        tag: v1.1.0
        dest: vendor/github.com/davecgh/go-spew/
      - type: git
        url: https://github.com/gorilla/websocket.git
        tag: v1.5.0
        dest: vendor/github.com/gorilla/websocket/
      - type: git
        url: https://github.com/imdario/mergo.git
        tag: v0.3.13
        dest: vendor/github.com/imdario/mergo/
      - type: git
        url: https://github.com/k0swe/wsjtx-go.git
        tag: v4.0.1
        dest: vendor/github.com/k0swe/wsjtx-go/v4/
      - type: git
        url: https://github.com/leemcloughlin/jdn.git
        commit: 6f88db6a6bf2176674100d1a1c692596fcf6e2ba
        dest: vendor/github.com/leemcloughlin/jdn/
      - type: git
        url: https://github.com/mattn/go-colorable.git
        tag: v0.1.12
        dest: vendor/github.com/mattn/go-colorable/
      - type: git
        url: https://github.com/mattn/go-isatty.git
        tag: v0.0.14
        dest: vendor/github.com/mattn/go-isatty/
      - type: git
        url: https://github.com/mazznoer/csscolorparser.git
        tag: v0.1.2
        dest: vendor/github.com/mazznoer/csscolorparser/
      - type: git
        url: https://github.com/pmezard/go-difflib.git
        tag: v1.0.0
        dest: vendor/github.com/pmezard/go-difflib/
      - type: git
        url: https://github.com/rs/zerolog.git
        tag: v1.27.0
        dest: vendor/github.com/rs/zerolog/
      - type: git
        url: https://github.com/stretchr/testify.git
        tag: v1.7.2
        dest: vendor/github.com/stretchr/testify/
      - type: git
        url: https://github.com/golang/sys.git
        commit: 9f5ed59c137dcb0852024edd2e71af63c2d67707
        dest: vendor/golang.org/x/sys/
      - type: git
        url: https://github.com/go-yaml/yaml.git
        tag: v3.0.1
        dest: vendor/gopkg.in/yaml.v3/

      - type: dir
        path: ..
#      - type: git
#        url: ssh://git@github.com/k0swe/kel-agent.git
#        tag: v0.4.6
#        commit: a2c6d56f7c99b662277886859287a00ec8000b7a
    buildsystem: simple
    build-commands:
      - cp assets/modules.txt vendor/
      - make
      - install -D kel-agent /app/bin/kel-agent
      - install -Dm644 assets/radio.k0swe.Kel_Agent.svg /app/share/icons/hicolor/scalable/apps/radio.k0swe.Kel_Agent.svg
      - install -Dm644 assets/radio.k0swe.Kel_Agent.metainfo.xml /app/share/metainfo/radio.k0swe.Kel_Agent.metainfo.xml
      - install -Dm644 assets/radio.k0swe.Kel_Agent.desktop /app/share/applications/radio.k0swe.Kel_Agent.desktop
    cleanup:
      - /lib/debug
